openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthias Seidel <matthias.sei...@hamburg.de>
Subject Re: Build on Windows
Date Thu, 16 May 2019 22:23:30 GMT
Hi Patricia,

Am 17.05.19 um 00:17 schrieb Patricia Shanahan:
>
>
> On 5/15/2019 8:06 PM, Damjan Jovanovic wrote:
>> On Thu, May 16, 2019 at 4:45 AM Patricia Shanahan <pats@acm.org> wrote:
>>
>>> "Install Microsoft Windows SDK for Windows 7 and .NET Framework 3.5.
>>> SP1
>>> (recommended by Microsoft. Note: later versions of the Windows SDK will
>>> not work. AOO can not be built with MSVC 2010 or 2012 - MSVC 2008 is
>>> needed and is found in the Windows 7 SDK)"
>>>
>>> Both the links given for installing the software get "download no
>>> longer
>>> available".
>>>
>>> Since I have built many times on the machine in question that download
>>> cannot be necessary. Since the instructions do not specify the
>>> files, it
>>> is difficult to search for them.
>>>
>>>
>> That isn't good at all.
>>
>> My 13 March 2018 email entitled "First steps in building with MSVC 14 /
>> Visual Studio 2015" described some of the work involved in using
>> newer MSVC
>> versions to build AOO. That "Windows Kit" needs better integration
>> into the
>> build and packaging, but I think it will limit us to Windows 7 and later
>> (the irony being that the open-source mingw[-w64] toolchain, which only
>> links to the primordial MSVCRT.DLL, could let us support even Windows
>> 9x).
>>
>> Hopefully we can also simplify the current situation with the many
>> MSVCR*
>> versions we use in the process.
>>
>> Get started and I'll catch up in a few weeks when I am more free?
>
> I did find old SDK files I already had, probably what I was using
> before. Unfortunately, I am now getting

As I already wrote on another list, the SDK is still available via MSDN
(at least it was the last time I looked for it).

But I can also give you access to the installation file, if you like?

Regards,

   Matthias

>
> "error: .NET exception occured: System.BadImageFormatException: Could
> not load file or assembly 'cli_basetypes' or one of its dependencies.
> This assembly is built by a runtime newer than the currently loaded
> runtime and cannot be loaded.
> File name: 'cli_basetypes'"
>
> Since the build system is not my thing, I think I will wait until you
> have time to look at it. If my health then permits, I'll resume AOO
> activity.
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
> For additional commands, e-mail: dev-help@openoffice.apache.org
>


Mime
View raw message